ecatools(1)

NAME
ecatools - audio processing utils based on ecasound

SYNOPSIS
ecaconvert .extension file1 [ file2 ... fileN ]

ecafixdc file1 [ file2 ... fileN ]

ecalength file1 [ file2 ... fileN ]

ecamonitor [host][:port]

ecanormalize file1 [ file2 ... fileN ]

ecaplay [-dfhklopq] [ file1 file2 ... fileN ]

ecasignalview [ options ] [ input ] [ output ]

DESCRIPTION

Ecatools are simple command line utils for audio file processing. Each tool is designed to perform one specific operation. Most of the tools also support batch processing.

ECACONVERT

A tool for converting a set of files to a common target format. This target format is given as the first command line argument, and its syntax is .ext.

ECAFIXDC

A simple command-line tool for fixing DC-offset.

ECALENGTH

See the separate ecalength(1) man page.

ECAMONITOR

Ecamonitor is a util program that can be used to monitor an active ecasound session. Ecamonitor is able to show information about the current chainsetup such as list of inputs, outputs, current position, effects, the engine status and numerous other things.

By default ecamonitor will try to connect to IP4 address "localhost", to port "2868". A different address can be specified when starting ecamonitor, for example "ecamonitor foo.mynetwork.com" or "ecamonitor foo.mynetwork.com:4500".

To enable inbound connections, ecasound has to be started with the --daemon option. Ecamonitor is implemented in Python using the NetECI API.

ECANORMALIZE

Ecanormalize is a command-line tool for normalizing audio files to utilize the full available sample resolution. Ecanormalize first finds out how much the input file can be amplified without clipping and if there is room for increase, a static gain will be applied to the file.

ECAPLAY

Ecaplay is a command-line tool for playing audio files. Ecaplay uses the libecasound engine and is thus able to handle all audio formats supported by the library.

Files can be selected for playback either by specifying the filenames on the command-line, or by using the playlist mechanism. In playlist mode, files can be added to the playlist using the -q option. The -p option can then be used to play all tracks on the playlist. Ecaplay will repeat the playlist tracks until explicitly stopped (with double Ctrl-C). Playlist can be flushed with -f and its contents listed with -l option.

If not otherwise specified, ecaplay will use the audio output device specified in ~/.ecasound/ecasoundrc for playback. A different output device can be selected with ECAPLAY_OUTPUT_DEVICE shell environment variable or with the -o:output_device command-line option.

Playback can be stopped at any time with Ctrl-C. If multiple files are played, first Ctrl-C will stop the current file and move on to play the next one. Issuing Ctrl-C twice (within one second), will cause ecaplay to exit.

-d:debuglevel
    Set libecasound debug level. See ecasound(1).

-f  Flush the playlist contents. See also options -l, -p and -q.

-h  Print usage information and exit.

-k:number
    Skip ’number’ of files.

-l  List the current playlist contents to stdout. See also options -f, -p and -q.

-o:output_device
    Use ’output_device’ instead of the default output device (as specified in ~/.ecasound/ecasoundrc). Syntax is same as used by "-o" ecasound option (see ecasound(1) man page). This option overrides the ECAPLAY_OUTPUT_DEVICE environment variable (more info below).

-p  Play tracks in the playlist (in looped mode). See also options -f, -l and -q.

-q  Queue new tracks to the playlist. All filenames given on the command-line will be added to the the playlist. It is possible to queue new tracks while another instance of ecaplay is using the playlist. See also options -f, -l and -p.

    ECASIGNALVIEW

Ecasignalview is meant for monitoring signal amplitude and peak statistics. It accepts the following options:

input
    The first option not starting with a ’-’ is interpreted as an input string. This can be a device or a filename. All formats supported by libecasound are accepted. Defaults to ’/dev/dsp’.

output
    Similarly to input, second option not starting with a ’-’ is interpreted as output. Defaults to ’null’.

-b:buffersize
    Buffersize in sample frames. Defaults to 128.

-c  Enable cumulative mode. Counters are not reset after refresh. *deprecated*

-d  Enable debug mode.

-f:format_string
    Specify default audio format. See ecasound(1) for details.

-r:rate_msec
    Specify screen refresh rate in milliseconds.

-I  Use linear scale for showing audio sample amplitude.

-L  Use logarithmic scale for showing audio sample amplitude.

-G, -B, -M*, -r, -z
    Ecasound options use to modify the engine behaviour, see ecasound(1) manpage for details.

    When ecasignalview is running, the following keyboard commands can be used to control the operation (requires system support for UNIX terminal interface control):

spacebar
    Reset statistics (max-peak, avg-amplitude and clipped samples count).

q or Q or Esc
    Quit ecasignalview.

    It is also possible to reset the max-peak and clipped-samples counters by sending a SIGHUP signal to the process (i.e. from another console: "killall -v -HUP ecasignalview").

More complete documentation for ecasignalview can be found from "Ecasound User’s Guide" (see ’’http://nosignal.fi/ecasound -> Documentation’’).

ENVIRONMENT

ECASOUND Path to the ecasound executable. Used by many ecatools.

ECAPLAY_OUTPUT_DEVICE Device ecaplay should use for audio output. Same syntax as for ecaplay/ecasound "-o" option.

FILES

~/.ecasound/ecasoundrc The default ecasound resource file. See ecasoundrc(5) for details.

~/.ecasound/ecaplay_queue File used to store the ecaplay playlist (one track per line with full path).

SEE ALSO

ecasound (1), ecalength(1), "HTML docs in the Documentation subdirectory"

AUTHOR

Kai Vehmanen, <kvehmanen -at- eca -dot- cx <kvehmanen -at- eca -dot- cx>>